# $Revision: 1.33 $, $Date: 2007/01/23 15:46:48 $
%define	mod_name	auth_any
%define	apxs	/usr/sbin/apxs1
Summary:	Basic authentication for the Apache Web server using arbitrary shell commands
Summary(cs):	Zkladn autentizace pro WWW server Apache pomoc shellovch pkaz
Summary(da):	En autenticeringsmodul for webtjeneren Apache hvor man kan bruge vilkrlige skal-kommandoer
Summary(de):	Authentifizierung fr den Apache Web-Server, der arbitrre Shell-Befehle verwendet
Summary(fr):	Authentification de base pour le serveur Web Apache utilisant des commandes shell arbitraires
Summary(it):	Autenticazione di base per il server Web Apache mediante comandi arbitrari della shell
Summary(nb):	En autentiseringsmodul for webtjeneren Apache der en kan bruke skall-kommandoer
Summary(pl):	Podstawowy modu uwierzytelnienia dla Apache, uywajcy polece powoki
Summary(pt):	Um mdulo de autenticao de LDAP para o servidor Web Apache
Summary(sl):	Osnovna avtentikacija za spletni strenik Apache, z uporabo poljubnih lupinskih ukazov
Summary(sv):	Grundlggande autentisering fr webbservern Apache med valfria skalkommandon
Name:		apache1-mod_%{mod_name}
Version:	1.5
Release:	2
Epoch:		1
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.itlab.musc.edu/webNIS/dist/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	a78780db253dd2dc33138f8b644423d2
URL:		http://www.itlab.musc.edu/webNIS/mod_auth_any.html
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_auth_any <= 1:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This module allows you to use any command line program (such as
webNIS) to authenticate a user.

%description -l cs
Balek mod_auth_any slou pro omezen pstupu k dokumentm, kter
poskytuje WWW server Apache. Jmna a hesla jsou kontrolovna pomoc
jakhokoliv pkazu (jeho nvratovm kdem).

%description -l de
Mod_auth_any kann verwendet werden, um den Zugriff auf von einem Web-
Server bediente Dokumente zu beschrnken, indem es den Rckcode eines
gegebenen arbitrren Befehls prft.

%description -l es
Mod_auth_any puede usarse para limitar el acceso a documentos servidos
desde un servidor web verificando el cdigo de retorno de un comando
arbitrario especificado.

%description -l fr
Mod_auth_any peut tre utilis pour limiter l'accs  des documents
servis par un serveur Web en vrifiant le code de retour d'une
commande spcifie arbitraire.

%description -l it
Mod_auth_any pu essere utilizzato per limitare l'accesso ai documenti
serviti da un server Web controllando il codice di ritorno di un dato
comando arbitrario.

%description -l ja
Mod_auth_any Ǥդ˻ꤵ줿ޥɤꥳɤå뤳
ˤäơWeb С󶡤ɥȤؤΥ¤뤳
Ǥޤ

%description -l pl
Ten modu pozwala na uycie dowolnego programu dziaajcego z linii
polece (jak np. webNIS) do uwierzytelniania uytkownika.

%description -l sv
Mod_auth_any kan anvndas fr att begrnsa tkomsten till dokument
servade av en webbserver genom att kontrollera returkoden frn ett
godtyckligt angivet kommando.

%prep
%setup -q -n mod_%{mod_name}

%build
%{apxs} -c src/mod_%{mod_name}.c -o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1:1.4-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc docs/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_auth_any.spec,v $
Revision 1.33  2007/01/23 15:46:48  glen
- rel 2 (R: apache1(EAPI) instead of apache1)

Revision 1.32  2006/04/02 14:19:27  glen
- use %service

Revision 1.31  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.30  2005/03/01 16:50:58  adamg
- updated to 1.5 (by Marcin Sztolcman   msztolcman (at) post.pl)

Revision 1.29  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.28  2005/02/15 11:59:39  glen
- rel 2; STBR

Revision 1.27  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.26  2004/08/29 18:22:41  radek
- mv apache-* apache1-*, up to 1.4, epoch 1 (for Obsoletes)

Revision 1.25  2004/02/28 22:21:42  qboosh
- s/autentykacja/uwierzytelnienie/ (and other forms)

Revision 1.24  2004/02/18 15:10:25  qboosh
- s/no/nb/ in Summary langs

Revision 1.23  2003/08/06 16:10:36  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.22  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.21  2003/07/07 03:10:37  blues
- some small changes, inpired by kloczek

Revision 1.20  2003/06/06 12:19:19  qboosh
- updated feedback address

Revision 1.19  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:45:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/09 05:46:07  misi3k
- updated to 1.3

Revision 1.16  2003/05/07 18:30:50  misi3k
- rel 2
- added sec patch (CAN-2003-0084)

Revision 1.15  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.14  2002/07/17 20:01:44  kloczek
- updated to 1.2.2 (bugfixes) and added using new %doc.

Revision 1.13  2002/04/25 15:45:05  arturs
- fixed a small typo

Revision 1.12  2002/04/23 12:38:16  kloczek
- release 3.

Revision 1.11  2002/04/23 08:58:14  arturs
- License field change

Revision 1.10  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/17 21:03:28  ankry
- release 2

Revision 1.8  2002/02/17 19:01:42  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.7  2002/02/17 00:31:36  kloczek
- fixed %setup.

Revision 1.6  2002/02/16 19:26:15  kloczek
- updated to 1.2.1 (bugdix release).

Revision 1.5  2002/02/16 14:04:53  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.4  2002/01/24 20:21:02  kloczek
- back to 1 (sorry).

Revision 1.3  2002/01/24 20:19:39  kloczek
- release 2.

Revision 1.2  2002/01/24 12:00:36  qboosh
- pl translation, cosmetics

Revision 1.1  2002/01/24 11:27:54  mis
- new
